package cn.tsy.data.idsse.dsds.model.rescue;

import java.time.LocalDateTime;

import cn.hme.framework.bean.HmeBean;
import cn.hme.framework.jdbc.annotation.HmeTable;

/**********************************************
 * 应急搜救任务
 * 
 * @author: zxq
 * @date: 2025-08-18 16:22:12
 * @version: 1.0.0
 * @email: revisit@126.com
 * @Company: www.hmesoft.cn
 */
@HmeTable(name = "RESCUE_REG", key = "TSY_ID")
public class RescueReg extends HmeBean {
	private static final long serialVersionUID = 2627112161915134338L;
	// rescue
	private Integer tsy_id;
	// 关联航次
	private String voyage_name;
	// 状态信息
	private String rescue_status;
	// 状态变更时间
	private LocalDateTime rescue_status_time;
	// 状态变更说明
	private String rescue_status_note;
	// 应急搜捞：SAR 专项调查：SI
	private String rescue_type;
	// 任务类型_目标类别_总序列号:SAR_Wreck_075
	private String rescue_code;
	// 如果未知，可填写未知大型沉物：Wreck、锚系类目标Mooring、非合作方目标NCT、其他Other
	private String rescue_target_type;
	// 目标类别按字典管理，分成四大类：大型沉物、锚系类目标、非合作方目标、其他，具体目标名称手动录入
	private String rescue_target_name;
	// 给定点的经纬度位置，若给定的是搜寻区域，此处为中心点坐标（经度）
	private String rescue_target_lon;
	// 给定点的经纬度位置，若给定的是搜寻区域，此处为中心点坐标（纬度）
	private String rescue_target_lat;
	// 给定搜寻范围半径
	private String rescue_target_radius;
	// 宽度（单位米）
	private String rescue_target_width;
	// 长度（单位米）
	private String rescue_target_length;
	// 高度（单位米）
	private String rescue_target_height;
	// 搜寻处置目标重量（空气中）kg/吨
	private String rescue_air_weight;
	// 搜寻处置目标重量（水中）kg/吨
	private String rescue_water_weight;
	// 搜寻处置目标水深（米）
	private String rescue_water_depth;
	// 搜寻处置目标预估价值
	private String rescue_target_price;
	// 快速响应等级
	private String rescue_response_level;
	// 是否涉密
	private String rescue_secrecy;
	// 搜捞目标的所属单位，手动录入
	private String rescue_unit;
	// 快速响应时间要求,比如说最晚10天就要捞上来，手动录入天数
	private String rescue_response_day;
	// 填报时间
	private LocalDateTime fill_time;
	// 联系人信息
	private String fill_person;
	// 填报电话
	private String fill_tel;
	// 备注
	private String rescue_note;
	// 填报说明
	private String fill_note;

	/****
	 * rescue
	 */
	public Integer getTsy_id() {
		return this.tsy_id;
	}

	/****
	 * rescue
	 */
	public void setTsy_id(Integer tsy_id) {
		this.tsy_id = tsy_id;
	}

	/****
	 * 关联航次
	 */
	public String getVoyage_name() {
		return this.voyage_name;
	}

	/****
	 * 关联航次
	 */
	public void setVoyage_name(String voyage_name) {
		this.voyage_name = voyage_name;
	}

	/****
	 * 状态信息
	 */
	public String getRescue_status() {
		return this.rescue_status;
	}

	/****
	 * 状态信息
	 */
	public void setRescue_status(String rescue_status) {
		this.rescue_status = rescue_status;
	}

	/****
	 * 状态变更时间
	 */
	public LocalDateTime getRescue_status_time() {
		return this.rescue_status_time;
	}

	/****
	 * 状态变更时间
	 */
	public void setRescue_status_time(LocalDateTime rescue_status_time) {
		this.rescue_status_time = rescue_status_time;
	}

	/****
	 * 状态变更说明
	 */
	public String getRescue_status_note() {
		return this.rescue_status_note;
	}

	/****
	 * 状态变更说明
	 */
	public void setRescue_status_note(String rescue_status_note) {
		this.rescue_status_note = rescue_status_note;
	}

	/****
	 * 应急搜捞：SAR 专项调查：SI
	 */
	public String getRescue_type() {
		return this.rescue_type;
	}

	/****
	 * 应急搜捞：SAR 专项调查：SI
	 */
	public void setRescue_type(String rescue_type) {
		this.rescue_type = rescue_type;
	}

	/****
	 * 任务类型_目标类别_总序列号
	 * :SAR_Wreck_075
	 */
	public String getRescue_code() {
		return this.rescue_code;
	}

	/****
	 * 任务类型_目标类别_总序列号
	 * :SAR_Wreck_075
	 */
	public void setRescue_code(String rescue_code) {
		this.rescue_code = rescue_code;
	}

	/****
	 * 如果未知，可填写未知
	 * 大型沉物：Wreck、锚系类目标Mooring、非合作方目标NCT、其他Other
	 */
	public String getRescue_target_type() {
		return this.rescue_target_type;
	}

	/****
	 * 如果未知，可填写未知
	 * 大型沉物：Wreck、锚系类目标Mooring、非合作方目标NCT、其他Other
	 */
	public void setRescue_target_type(String rescue_target_type) {
		this.rescue_target_type = rescue_target_type;
	}

	/****
	 * 目标类别按字典管理，分成四大类：大型沉物、锚系类目标、非合作方目标、其他，具体目标名称手动录入
	 */
	public String getRescue_target_name() {
		return this.rescue_target_name;
	}

	/****
	 * 目标类别按字典管理，分成四大类：大型沉物、锚系类目标、非合作方目标、其他，具体目标名称手动录入
	 */
	public void setRescue_target_name(String rescue_target_name) {
		this.rescue_target_name = rescue_target_name;
	}

	/****
	 * 给定点的经纬度位置，若给定的是搜寻区域，此处为中心点坐标
	 * （经度）
	 */
	public String getRescue_target_lon() {
		return this.rescue_target_lon;
	}

	/****
	 * 给定点的经纬度位置，若给定的是搜寻区域，此处为中心点坐标
	 * （经度）
	 */
	public void setRescue_target_lon(String rescue_target_lon) {
		this.rescue_target_lon = rescue_target_lon;
	}

	/****
	 * 给定点的经纬度位置，若给定的是搜寻区域，此处为中心点坐标
	 * （纬度）
	 */
	public String getRescue_target_lat() {
		return this.rescue_target_lat;
	}

	/****
	 * 给定点的经纬度位置，若给定的是搜寻区域，此处为中心点坐标
	 * （纬度）
	 */
	public void setRescue_target_lat(String rescue_target_lat) {
		this.rescue_target_lat = rescue_target_lat;
	}

	/****
	 * 给定搜寻范围半径
	 */
	public String getRescue_target_radius() {
		return this.rescue_target_radius;
	}

	/****
	 * 给定搜寻范围半径
	 */
	public void setRescue_target_radius(String rescue_target_radius) {
		this.rescue_target_radius = rescue_target_radius;
	}

	/****
	 * 宽度（单位米）
	 */
	public String getRescue_target_width() {
		return this.rescue_target_width;
	}

	/****
	 * 宽度（单位米）
	 */
	public void setRescue_target_width(String rescue_target_width) {
		this.rescue_target_width = rescue_target_width;
	}

	/****
	 * 长度（单位米）
	 */
	public String getRescue_target_length() {
		return this.rescue_target_length;
	}

	/****
	 * 长度（单位米）
	 */
	public void setRescue_target_length(String rescue_target_length) {
		this.rescue_target_length = rescue_target_length;
	}

	/****
	 * 高度（单位米）
	 */
	public String getRescue_target_height() {
		return this.rescue_target_height;
	}

	/****
	 * 高度（单位米）
	 */
	public void setRescue_target_height(String rescue_target_height) {
		this.rescue_target_height = rescue_target_height;
	}

	/****
	 * 搜寻处置目标重量（空气中）
	 * kg/吨
	 */
	public String getRescue_air_weight() {
		return this.rescue_air_weight;
	}

	/****
	 * 搜寻处置目标重量（空气中）
	 * kg/吨
	 */
	public void setRescue_air_weight(String rescue_air_weight) {
		this.rescue_air_weight = rescue_air_weight;
	}

	/****
	 * 搜寻处置目标重量（水中）
	 * kg/吨
	 */
	public String getRescue_water_weight() {
		return this.rescue_water_weight;
	}

	/****
	 * 搜寻处置目标重量（水中）
	 * kg/吨
	 */
	public void setRescue_water_weight(String rescue_water_weight) {
		this.rescue_water_weight = rescue_water_weight;
	}

	/****
	 * 搜寻处置目标水深
	 * （米）
	 */
	public String getRescue_water_depth() {
		return this.rescue_water_depth;
	}

	/****
	 * 搜寻处置目标水深
	 * （米）
	 */
	public void setRescue_water_depth(String rescue_water_depth) {
		this.rescue_water_depth = rescue_water_depth;
	}

	/****
	 * 搜寻处置目标预估价值
	 */
	public String getRescue_target_price() {
		return this.rescue_target_price;
	}

	/****
	 * 搜寻处置目标预估价值
	 */
	public void setRescue_target_price(String rescue_target_price) {
		this.rescue_target_price = rescue_target_price;
	}

	/****
	 * 快速响应等级
	 */
	public String getRescue_response_level() {
		return this.rescue_response_level;
	}

	/****
	 * 快速响应等级
	 */
	public void setRescue_response_level(String rescue_response_level) {
		this.rescue_response_level = rescue_response_level;
	}

	/****
	 * 是否涉密
	 */
	public String getRescue_secrecy() {
		return this.rescue_secrecy;
	}

	/****
	 * 是否涉密
	 */
	public void setRescue_secrecy(String rescue_secrecy) {
		this.rescue_secrecy = rescue_secrecy;
	}

	/****
	 * 搜捞目标的所属单位，手动录入
	 */
	public String getRescue_unit() {
		return this.rescue_unit;
	}

	/****
	 * 搜捞目标的所属单位，手动录入
	 */
	public void setRescue_unit(String rescue_unit) {
		this.rescue_unit = rescue_unit;
	}

	/****
	 * 快速响应时间要求
	 * ,比如说最晚10天就要捞上来，手动录入天数
	 */
	public String getRescue_response_day() {
		return this.rescue_response_day;
	}

	/****
	 * 快速响应时间要求
	 * ,比如说最晚10天就要捞上来，手动录入天数
	 */
	public void setRescue_response_day(String rescue_response_day) {
		this.rescue_response_day = rescue_response_day;
	}

	/****
	 * 填报时间
	 */
	public LocalDateTime getFill_time() {
		return this.fill_time;
	}

	/****
	 * 填报时间
	 */
	public void setFill_time(LocalDateTime fill_time) {
		this.fill_time = fill_time;
	}

	/****
	 * 联系人信息
	 */
	public String getFill_person() {
		return this.fill_person;
	}

	/****
	 * 联系人信息
	 */
	public void setFill_person(String fill_person) {
		this.fill_person = fill_person;
	}

	/****
	 * 填报电话
	 */
	public String getFill_tel() {
		return this.fill_tel;
	}

	/****
	 * 填报电话
	 */
	public void setFill_tel(String fill_tel) {
		this.fill_tel = fill_tel;
	}

	/****
	 * 备注
	 */
	public String getRescue_note() {
		return this.rescue_note;
	}

	/****
	 * 备注
	 */
	public void setRescue_note(String rescue_note) {
		this.rescue_note = rescue_note;
	}

	/****
	 * 填报说明
	 */
	public String getFill_note() {
		return this.fill_note;
	}

	/****
	 * 填报说明
	 */
	public void setFill_note(String fill_note) {
		this.fill_note = fill_note;
	}

}